Skip to main content
POST
/
api
/
v1
/
monitors
/
{id}
/
test-notifications
Send test notifications through the monitor's alert channels
curl --request POST \
  --url https://api.devhelm.io/api/v1/monitors/{id}/test-notifications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "includeResolved": true,
  "channelIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "data": [
    {
      "success": true,
      "message": "<string>"
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Body

application/json

Request to send test notifications through a monitor's alert channels

includeResolved
boolean
required

Whether to include a resolved notification in the test (default: false)

channelIds
string<uuid>[] | null

Channel IDs to test; null or empty tests all channels attached to the monitor

Channel IDs to test; null or empty tests all channels attached to the monitor

Response

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null